+++
title = ''
date = 2024-07-30T13:46:54Z
draft = true
+++
## CircularNet overview

CircularNet is a free computer vision model developed by Google that utilizes artificial intelligence (AI) and machine learning (ML) to provide detailed and accurate identification of waste streams and recyclables. Trained on a diverse global dataset, CircularNet aims to make waste management analytics accessible and promote data-driven decision-making. It supports efforts to keep valuable resources out of landfills and in circulation.  
Open access and collaboration are fundamental to CircularNet's vision. Its open-source models, powered by [TensorFlow](https://www.tensorflow.org/) and available on [GitHub](https://github.com/tensorflow/models/tree/master/official/projects/waste_identification_ml), are free to use, customizable, and can help bring analytics to new markets while minimizing cost.

This guide offers step-by-step instructions for setting up and integrating CircularNet, accommodating various deployment options. It describes different deployment preferences so you can install CircularNet according to your needs.

### Get started with CircularNet

Start exploring CircularNet by reviewing the following documentation:  

1. Discover [the benefits, features, components, and use cases](./discover-cn/) of CircularNet.
1. Choose between [the different deployment options](./solutions/) to install CircularNet models.
1. Learn about [the recommendations for installing the camera](./system-req/choose-camera/) you require to capture images.
1. Follow a step-by-step solution example to [deploy CircularNet](./deploy-cn/) and [prepare your captured images](./analyze-data/) for analysis and object tracking.
1. Learn how to connect your data with [a dashboard for visualization and reporting](./view-data/).