+++
title = 'Table of specifications'
date = 2024-07-30T20:37:11Z
draft = true
weight = 10
+++
The adequate specifications, such as sensor size, lens, height, or shutter speed, depend entirely on your facility's requirements.

Conducting a complete engineering analysis is necessary for a thorough understanding of your facility's conditions. This includes factors like the size of objects on the conveyor belt, the speed of the belt, the positioning of the camera, and lighting conditions. However, the following table provides a summarized overview that can aid in the initial camera selection process.

| **Specification**     | **Recommendation**                                    |
| --------------------- | ----------------------------------------------------- |
| Resolution            | Values between 0.5 and 1.0 MP                         |
| Sensor size           | Values between 2/3" and 1"                            |
| Aperture size         | Values between f/2.8 and f/11, depending on lightning |
| Frame rate            | 30 FPS or higher                                      |
| Shutter type          | Global shutter                                        |
| Shutter speed         | Values between 1/250 and 1/500 seconds                |
| Lens compatibility    | Interchangeable lenses                                |
| Interface             | USB 3.0, GigE, or Camera Link                         |
| Light sensitivity     | High sensitivity, high dynamic range                  |
| Enclosure             | Industrial grade, NEMA, IP65 or higher                |
| Software integration  | Compatible with NVIDIA or Raspberry Pi                |
| Synchronization       | Support for multi-camera synchronization              |
| Power supply          | Power over ethernet (PoE)                             |
| Scan type             | Area scan camera                                      |
